/*
 *      lark-espeak.h
 *
 *      Copyright 2016-2018 Alex <alex@linuxonly.ru>
 *
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LARK_ESPEAK_H
#define LARK_ESPEAK_H

#include <gtk/gtk.h>

#include "lark-tts-engine.h"

G_BEGIN_DECLS

#define LARK_TYPE_ESPEAK (lark_espeak_get_type ())

G_DECLARE_FINAL_TYPE (LarkEspeak, lark_espeak, LARK, ESPEAK, LarkTtsEngine)

LarkEspeak *lark_espeak_new(void);

gboolean lark_espeak_generate_samples(LarkEspeak *self, gchar *line, gboolean *genstate);

G_END_DECLS

#endif /* LARK_ESPEAK */
